Get transcript content

This will return the contents of the transcript. Can be called only after transcription job is completed successfully.

GET /api/v1/spaces/{spaceId}/recordings/{recordingId}/transcript
API key in header x-api-key

Path parameters

· 2
spaceId string required

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId string required

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

Query parameters

· 10
format string

Format of the transcript content. Can be one of:

  • json
  • text
  • csv
  • pdf
  • word
  • srt
  • vtt

Defaults to json

jsonContentType string

Response format type of JSON contents

Can be one of

  • words
  • paragraphs
  • segments

Details on each format:

  • Words: Gives an array of words with timings.
  • Paragraphs: Gives an array of paragraphs - constructed using our own carefully calibrated heuristics.
  • Segments: Gives an array of segments as given by Whisper model.

Defaults to paragraphs

subMaxCharactersPerLine integer

Maximum characters per line of subtitle. Lines cannot be shorter than a single word.

Only relavent for subtitle formats

subMaxSecondsPerLine integer

Maximum duration in seconds per subtitle block. Subtitle blocks cannot be shorter than a single word.

Only relevant for subtitle formats

subMaxLinesPerSubtitle integer

Maximum number of lines per subtitle block. Controls how many lines can appear simultaneously on screen.

Only relevant for subtitle formats. Defaults to 1

docIncludeSpeakers boolean

If set, document formats will include speaker information for each paragraphs.

Only relavent for text, csv, word formats. Defaults to true

docIncludeTimestamps boolean

If set, document formats will include time information for each paragraphs.

Only relavent for text, csv, word formats. Defaults to true

docIncludeTlolBranding string

If set, document formats will include limited transcript branding.

Only relavent for text, pdf, word formats. Defaults to true

startTime number

If set, only transcript content from this time onward (in seconds) is returned. Omit for the start of the recording.

Combine with endTime to fetch a single time window — e.g. the portion around a search match.

endTime number

If set, only transcript content up to this time (in seconds) is returned. Omit for the end of the recording.

Responses